Bug 1956524 - CVE-2021-3537 libxml2: NULL pointer dereference in valid.c in xmlValidBuildAContentModel [fedora-all]
Summary: CVE-2021-3537 libxml2: NULL pointer dereference in valid.c in xmlValidBuildAC...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2
Version: 34
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1956526 1956529 (view as bug list)
Depends On:
Blocks: CVE-2021-3537 1956525 1956528
TreeView+ depends on / blocked
 
Reported: 2021-05-03 20:33 UTC by Pedro Sampaio
Modified: 2021-05-14 18:35 UTC (History)
3 users (show)

Fixed In Version: libxml2-2.9.10-12.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-10 01:06:08 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2021-05-03 20:33:13 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2021-05-03 20:33:16 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1956522,1956524

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-05-07 09:39:56 UTC
FEDORA-2021-e3ed1ba38b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e3ed1ba38b

Comment 3 Fedora Update System 2021-05-08 02:17:59 UTC
FEDORA-2021-e3ed1ba38b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e3ed1ba38b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e3ed1ba38b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-05-10 01:06:08 UTC
FEDORA-2021-e3ed1ba38b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 David King 2021-05-13 21:38:07 UTC
*** Bug 1956526 has been marked as a duplicate of this bug. ***

Comment 6 David King 2021-05-13 21:38:13 UTC
*** Bug 1956529 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Update System 2021-05-14 07:32:31 UTC
FEDORA-2021-b950000d2b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b950000d2b

Comment 8 Fedora Update System 2021-05-14 18:35:03 UTC
FEDORA-2021-b950000d2b has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b950000d2b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b950000d2b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.